MagickCore: geometry.c File Reference

# geometry.c File Reference

`#include "magick/studio.h"`
`#include "magick/constitute.h"`
`#include "magick/draw.h"`
`#include "magick/exception.h"`
`#include "magick/exception-private.h"`
`#include "magick/geometry.h"`
`#include "magick/memory_.h"`
`#include "magick/string_.h"`
`#include "magick/token.h"`

## Functions
MagickExport MagickStatusType | GetGeometry (const char *geometry, long *x, long *y, unsigned long *width, unsigned long *height)
MagickExport char * | GetPageGeometry (const char *page_geometry)
MagickExport void | GravityAdjustGeometry (const unsigned long width, const unsigned long height, const GravityType gravity, RectangleInfo *region)
MagickExport MagickBooleanType | IsGeometry (const char *geometry)
MagickExport MagickBooleanType | IsSceneGeometry (const char *geometry, const MagickBooleanType pedantic)
MagickExport MagickStatusType | ParseAbsoluteGeometry (const char *geometry, RectangleInfo *region_info)
static MagickBooleanType | IsPoint (const char *point)
MagickExport MagickStatusType | ParseAffineGeometry (const char *geometry, AffineMatrix *affine_matrix)
MagickExport MagickStatusType | ParseGeometry (const char *geometry, GeometryInfo *geometry_info)
MagickExport MagickStatusType | ParseGravityGeometry (Image *image, const char *geometry, RectangleInfo *region_info)
static unsigned long | MagickMax (const unsigned long x, const unsigned long y)
MagickExport MagickStatusType | ParseMetaGeometry (const char *geometry, long *x, long *y, unsigned long *width, unsigned long *height)
MagickExport MagickStatusType | ParsePageGeometry (Image *image, const char *geometry, RectangleInfo *region_info)
MagickExport MagickStatusType | ParseShapeGeometry (Image *image, const char *geometry, RectangleInfo *region_info)
MagickExport void | SetGeometry (const Image *image, RectangleInfo *geometry)
MagickExport void | SetGeometryInfo (GeometryInfo *geometry_info)

## Function Documentation

MagickExport MagickStatusType GetGeometry | ( | const char * | geometry,
|  | long * | x,
|  | long * | y,
|  | unsigned long * | width,
|  | unsigned long * | height |
| ) |  |  |

MagickExport char* GetPageGeometry | ( | const char * | page_geometry | ) |

MagickExport void GravityAdjustGeometry | ( | const unsigned long | width,
|  | const unsigned long | height,
|  | const GravityType | gravity,
|  | RectangleInfo * | region |
| ) |  |  |

MagickExport MagickBooleanType IsGeometry | ( | const char * | geometry | ) |

static MagickBooleanType IsPoint | ( | const char * | point | ) | `[inline, static]`

MagickExport MagickBooleanType IsSceneGeometry | ( | const char * | geometry,
|  | const MagickBooleanType | pedantic |
| ) |  |  |

static unsigned long MagickMax | ( | const unsigned long | x,
|  | const unsigned long | y |
| ) |  |  | `[inline, static]`

MagickExport MagickStatusType ParseAbsoluteGeometry | ( | const char * | geometry,
|  | RectangleInfo * | region_info |
| ) |  |  |

MagickExport MagickStatusType ParseAffineGeometry | ( | const char * | geometry,
|  | AffineMatrix * | affine_matrix |
| ) |  |  |

MagickExport MagickStatusType ParseGeometry | ( | const char * | geometry,
|  | GeometryInfo * | geometry_info |
| ) |  |  |

MagickExport MagickStatusType ParseGravityGeometry | ( | Image * | image,
|  | const char * | geometry,
|  | RectangleInfo * | region_info |
| ) |  |  |

MagickExport MagickStatusType ParseMetaGeometry | ( | const char * | geometry,
|  | long * | x,
|  | long * | y,
|  | unsigned long * | width,
|  | unsigned long * | height |
| ) |  |  |

MagickExport MagickStatusType ParsePageGeometry | ( | Image * | image,
|  | const char * | geometry,
|  | RectangleInfo * | region_info |
| ) |  |  |

MagickExport MagickStatusType ParseShapeGeometry | ( | Image * | image,
|  | const char * | geometry,
|  | RectangleInfo * | region_info |
| ) |  |  |

MagickExport void SetGeometry | ( | const Image * | image,
|  | RectangleInfo * | geometry |
| ) |  |  |

MagickExport void SetGeometryInfo | ( | GeometryInfo * | geometry_info | ) |